apiVersion: networking.istio.io/v1alpha3
kind: Gateway
metadata:
  name: {{ .Values.simple.namespace }}-gateway
  namespace: {{ .Values.simple.namespace }}
  annotations:
    "proxy.istio.io/config": '{"gatewayTopology" : {"numTrustedProxies": 1}}'
spec:
  selector:
    istio: ingressgateway
  servers:
  - port:
      number: 80
      name: http
      protocol: HTTP
    tls:
      httpsRedirect: true
    hosts:
    - {{ .Values.simple.hostname }}
    - www.{{ .Values.simple.hostname }}
  - port:
      number: 443
      name: https
      protocol: HTTPS
    tls:
      mode: SIMPLE # enables HTTPS on this port
      credentialName: {{ .Values.simple.namespace }}-istio-cert
    hosts:
    - {{ .Values.simple.hostname }}
    - www.{{ .Values.simple.hostname }}

